DatatypeConfigurationException (Java SE 11 & JDK 11 )
Keywords: javax.xml.datatype.DatatypeConfigurationException class

Module java.xml
Package javax.xml.datatype

## Class DatatypeConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.datatype.DatatypeConfigurationException

- All Implemented Interfaces:
    `Serializable`

      public class DatatypeConfigurationException
      extends Exception

  Indicates a serious configuration error.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DatatypeConfigurationException()` | Create a new `DatatypeConfigurationException` with no specified detail message and cause.
    `DatatypeConfigurationException​(String message)` | Create a new `DatatypeConfigurationException` with the specified detail message.
    `DatatypeConfigurationException​(String message, Throwable cause)` | Create a new `DatatypeConfigurationException` with the specified detail message and cause.
    `DatatypeConfigurationException​(Throwable cause)` | Create a new `DatatypeConfigurationException` with the specified cause.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException()

      Create a new `DatatypeConfigurationException` with no specified detail message and cause.

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException​(String message)

      Create a new `DatatypeConfigurationException` with the specified detail message.

      Parameters:
        `message` - The detail message.

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException​(String message,
                                                Throwable cause)

      Create a new `DatatypeConfigurationException` with the specified detail message and cause.

      Parameters:
        `message` - The detail message.
        `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

    - #### DatatypeConfigurationException

          public DatatypeConfigurationException​(Throwable cause)

      Create a new `DatatypeConfigurationException` with the specified cause.

      Parameters:
        `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.